%define pname     skinsoppalusikka
%define vardir    %(vdr-config --vardir    2>/dev/null || echo ERROR)
%define plugindir %(vdr-config --plugindir  2>/dev/null || echo ERROR)
%define apiver    %(vdr-config --apiversion 2>/dev/null || echo ERROR)


Name:           vdr-%{pname}
Version:        1.6.5
Release:        1%{?dist}
Summary:        The "Soppalusikka" skin for VDR

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/
Source0:        http://www.saunalahti.fi/~rahrenbe/vdr/soppalusikka/files/%{name}-%{version}.tgz
Source1:        %{name}.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  vdr-devel >= 1.6.0 gettext
Requires:       vdr(abi) = %{apiver}

%description
The "Soppalusikka" is a standalone skin providing the good old "ElchiAIO"
looks.

%prep
%setup -q -n %{pname}-%{version}


%build
# build the plugin
make libvdr-%{pname}.so %{?_smp_mflags} LIBDIR=. VDRDIR=%{_libdir}/vdr \
    STRIP=/bin/true


%install
rm -rf $RPM_BUILD_ROOT
# "build" the translations
make i18n LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale
# install the plugin and the config file
install -dm 755 $RPM_BUILD_ROOT%{plugindir}
install -pm 755 libvdr-%{pname}.so.%{apiver} $RPM_BUILD_ROOT%{plugindir}
install -Dpm 644 %{SOURCE1} \
  $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
# install the themes
install -dm 755 $RPM_BUILD_ROOT%{vardir}/themes
install -pm 644 themes/*.theme $RPM_BUILD_ROOT%{vardir}/themes/

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING HISTORY README
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{plugindir}/libvdr-%{pname}.so.%{apiver}
%{vardir}/themes/soppalusikka-*.theme


%changelog
* Wed Feb 10 2010 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.6.5-1
- 1.6.5

* Tue Apr 14 2009 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.4-1
- 1.6.4

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Nov 30 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.3-1
- 1.6.3

* Mon Nov 24 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.2-2
- Rebuild for VDR 1.6.0-15.fc11

* Tue Oct 14 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.2-1
- 1.6.2
- HISTORY converted to UTF-8 by upstream, remove conversion from the spec file

* Wed Jun 25 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.1-1
- 1.6.1 including translation updates and a bugfix

* Tue Apr 08 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.6.0-1
- New version for VDR 1.6

* Sat Feb 16 2008 - Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> 1.0.6-2
- Rebuild for GCC 4.3

* Mon Jan 21 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.6-1
- Upstream released a new version
- Change Source0 to be a complete URL of the source

* Tue Oct 16 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.5-2
- License is actually GPLv2 _or later_, I missed that, fixed now.

* Fri Oct 12 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.5-1
- Upstream released a new version
- Upstream changed license to GPLv2, see README
- Description updated to match new README
- Upstream removed channel logos, no need for the removal script anymore

* Thu Oct 11 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.4-1
- s/soppalusikka/skinsoppalusikka/ in vdr-skinsoppalusikka.conf
- Bump release for the first Fedora build
- Try to hide my email from the spambots a bit

* Sun Oct 07 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.4-0.4
- Remove the /var/lib/vdr/themes dir, it's owned by the vdr package.
- Change license tag from GPLv2 to GPL+.
- Remove datadir define, as it's not used.
- s/femon/skinsoppalusikka/ in vdr-skinsoppalusikka.conf

* Sun Oct 06 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.4-0.3
- Remove channel logos, add vdr-skinsoppalusikka-prepare-tarball.sh for doing
  it automatically.

* Sun Oct 06 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.4-0.2
- Remove the symbols, since they are compiled into the binary plugin. Thanks
  to Mandriva packager Anssi Hannula for the information.

* Sun Oct 06 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 1.0.4-0.1
- Initial package.
